Bug 495260 - xrandr incorrectly reports that VGA1 is connected
xrandr incorrectly reports that VGA1 is connected
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-10 17:18 EDT by Andrew McNabb
Modified: 2018-04-11 07:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 21:53:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from xrandr --verbose (6.00 KB, text/plain)
2009-04-10 17:19 EDT, Andrew McNabb
no flags Details
/var/log/Xorg.0.log (49.72 KB, text/plain)
2009-04-17 17:58 EDT, Matěj Cepl
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 21120 None None None Never

  None (edit)
Description Andrew McNabb 2009-04-10 17:18:37 EDT
With a current installation of Rawhide (with xorg-x11-drv-intel-2.6.99.902-2.fc11.x86_64), xrandr reports that VGA1 is connected even though it is not.  As a result, it sets the resolution for the other displays at 1024x768 instead of at their native resolution.  This is a regression since xorg-x11-drv-intel-2.6.99.902-1.fc11.x86_64, which I tested in Fedora 11.

As a workaround, I am able to do `xrandr --output VGA1 --off`, after which I can set the correct resolution for the other displays.

I am attaching the output from `xrandr --verbose`.  Please let me know if there is any other information that would be useful.  Thanks.
Comment 1 Andrew McNabb 2009-04-10 17:19:12 EDT
Created attachment 339135 [details]
output from xrandr --verbose
Comment 2 Adam Williamson 2009-04-16 17:16:28 EDT
Can you please also include /var/log/Xorg.0.log, and /etc/X11/xorg.conf if it exists (or mention if it doesn't)? Thanks.

Also please test with kernel modesetting disabled - add the 'nomodeset' kernel parameter - and see if that behaves differently.

Note: this bug is similar to #493038.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Andrew McNabb 2009-04-16 17:34:11 EDT
I forgot to add a link here when I filed an upstream bug, but I've added this now.  The Xorg.0.log are posted in the Freedesktop bugzilla.
Comment 4 Matěj Cepl 2009-04-17 17:58:00 EDT
Created attachment 340100 [details]
/var/log/Xorg.0.log
Comment 5 Andrew McNabb 2009-04-24 11:07:11 EDT
At the Freedesktop bugzilla, they're thinking that this is a bug that's only present in Fedora.  On bugs.freedesktop.org, see bug #21210, comment #7 and #11.
Comment 6 Bug Zapper 2009-06-09 09:38:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Andrew McNabb 2009-06-09 11:26:11 EDT
For the record, this problem still exists in Fedora 11 final.
Comment 8 Aleksi Ikäheimo 2009-06-12 12:47:40 EDT
Hi!

Bug is present on my machine.
Intel DG45ID motherboard and integrated x4500hd display adapter.
Comment 9 Aleksi Ikäheimo 2009-07-02 01:57:33 EDT
Hi!

I noticed that PlanetCCRMA:s F11 realtime kernel does not have this problem.
Comment 10 Adam Williamson 2009-07-02 13:54:03 EDT
it probably has KMS disabled. I asked the initial reporter to test with KMS disabled, but he never seems to have bothered.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Andrew McNabb 2009-07-02 14:04:55 EDT
Adam, I've neglected this bug report a bit since I reported it upstream.  Sorry about that.  Anyway, it's been a problem both with and without KMS, and it looks like they've partially fixed it.  Freedesktop bug 21120 got split off into Freedesktop bug 22247.  The former is fixed, and the latter has a UMS fix that seems to work.  They don't seem to have a KMS fix for 22247 yet.
Comment 13 Matěj Cepl 2009-11-05 13:26:04 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 14 Andrew McNabb 2009-11-05 17:40:49 EST
This appears to be fixed in Fedora 12.
Comment 15 Adam Williamson 2009-11-05 20:58:12 EST
would you prefer to keep it open for 11 to see if it can get fixed there (if we ever get to it, you'd need an 11 system installed to verify the fix), or are you happy with it working in f12?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 16 Andrew McNabb 2009-11-05 21:48:52 EST
I have a workaround for F11, and I'll be moving all of my F11 systems to F12 soon, anyway.  So my vote is to spend efforts elsewhere.
Comment 17 Adam Williamson 2009-11-05 21:53:59 EST
alllrighty then!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.